package cn.wisenergy.service.app;


import cn.wisenergy.model.app.shopZx;
import cn.wisenergy.model.app.zxUserVo;
import org.springframework.core.io.Resource;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * Created by m1991 on 2021/2/24 13:49
 * TODO 资讯Service
 * @author 86187
 */
public interface UploadService {
    /**
     * TODO 视频文件上传   zxUrl, userId,zxName,zxField,imgUrl
     * @param request
     * @return
     */
     Map<String, Object> uploadVideo(MultipartFile file,HttpServletRequest request,String zxField,String inviteCode) throws Exception;

    /**
     * TODO 用户头像上传
     *
     * @return
     */
     Map<String, Object> uploadImage(MultipartFile file,String inviteCode) throws Exception;


    /**
     * TODO 多文件上传
     * @param file
     * @return
     */
     Map imageUpload(MultipartFile[] file, String zxField, String inviteCode);




     String storeFile(MultipartFile file);
     Resource loadFileAsResource(String fileName);


    /**
     * TODO 资讯已审核信息展示
     * @param pageNum
     * @param pageSize
     * @return
     */
    Map selectPage(Integer pageNum, Integer pageSize,String inviteCode);

    /**
     * TODO 资讯单表分页全部信息展示
     * @param pageNum
     * @param pageSize
     * @return
     */
    List<zxUserVo> selectAll(Integer pageNum, Integer pageSize);

    /**
     * TODO 资讯点赞
     * @param zxid
     * @return
     */
    Map Ilike(Integer zxid,String inviteCode);

    /**
     * TODO 资讯审核
     * @param zxid
     * @return
     */
    Map toExamine(Integer zxid);


}
